Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token> where <token> is the user's Rownd JWT

Path Parameters

group
string
required

Group ID

invite
string
required

Group Invite ID

Response

200 - application/json

Group invite retrieved successfully

roles
string[]
required

The roles into which a group member will be added upon invite acceptance (The first member invited to a group will always be created with the 'owner' role along with any additional roles specified)

Example:
id
string
read-only

The group invite ID

Example:

"c92kd7td7z4myhu7z5y637cp"

group_id
string
read-only

The group ID

Example:

"group_zjca79svvbqfeilwr8httcal"

state
enum<string>
read-only

The state of the invite

Available options:
pending,
accepted,
rejected
email
string

The email of a Rownd user in the specified application. This property is mutually exclusive with user_id and email

Example:

"randy@foo.com"

phone
string

The phone number of a Rownd user in the specified application. This property is mutually exclusive with user_id and email

Example:

19199993333

user_id
string

The ID of a Rownd user in the specified application. This property is mutually exclusive with phone and email

Example:

"user_mni5316glfgwtgljboxrv2it"

user_lookup_value
string
read-only

The email or phone number specified during creation

Example:

"randy@foo.com"

redirect_url
string

The relative or absolute path location to which a user will be directed after accepting the invite

Example:

"/somewhere/on/my/site#"

app_variant_id
string

The ID of an application variant for which this invite should be created. When a user accepts this invite, they will be added to the group as a member and signed into this application variant. (Learn about variants here)

created_at
string<date-time>
read-only

The ISO 8601 date-time that the resource was created

created_by
string
read-only

The ID of the user that created the resource

Example:

"user_t6ftnnmw55pamuhfo9xvw0yl"

accepted_by
string
read-only

The ID of the user that accepted the invite

Example:

"user_vgzrk03xpenj6td8vwi9crh4"

ensured_user_id
string
read-only

The ID of the user ensured by the provided user_id or user_lookup_value